Blender 2.56a Beta Error

Asked by Sam Olsen on 2011-01-31

I found the FAQ (https://answers.launchpad.net/openshot/+faq/1299) that described how to get Blender 2.5 Beta working in Openshot
So I clicked on the link in that FAQ to download the Beta, but the link was removed. So I found and downloaded the newest version of the beta 2.56a.... And continued on with the instructions
Although once I entered in the correct path, it still would not work. I've entered in the same path in the terminal and it works fine there...
So I followed the directions of opening Openshot in the terminal and then accessing the 3D Titles and choosing one to see if the terminal would show any errors... This was the whole process:

$ openshot
--------------------------------
   OpenShot (version 1.2.2)
--------------------------------
Process no longer exists: 6397. Creating new pid lock file.
state saved
on_mnu3dTitle_activate called with self.GtkImageMenuItem
on_treeTemplates_button_release_event
Done with Render() method
Traceback (most recent call last):
  File "/home/spam/.openshot/blender/f4e527d6-2cff-11e0-9271-0014a57129c5/glare.py", line 104, in <module>
    text_object.align = params["spacemode"]
TypeError: bpy_struct: item.attr = val: enum "CENTRAL" not found in ('LEFT', 'CENTER', 'RIGHT', 'JUSTIFY', 'FLUSH')
No frame was found in the output from Blender
Blender render thread finished

Do I simply have to wait for the new version of OpenShot... Or is there any other solutions?

Question information

Language:
English Edit question
Status:
Expired
For:
OpenShot Video Editor Edit question
Assignee:
No assignee Edit question
Last query:
2011-01-31
Last reply:
2011-02-16

This question was reopened

Sam Olsen (hisspamyola) said : #1

This was the FAQ that I was viewing
FAQ #1299: “HOW TO: Install Blender 2.5 for 3D Animated Title Screen”.

Sam Olsen (hisspamyola) said : #2

I hope someone can help...

Andy Finch (fincha) said : #3

You need to use v2.54 with Openshot 1.2.2. Blender changed the API in 2.56 so it no longer works with 1.2.2. The changes needed to make Openshot work with 2.56 are in the current development trunk for v1.3.

Sam Olsen (hisspamyola) said : #4

So far I have not been able to find a place to downlowd 2.54 beta anymore...If anyone knows where, I'd love a link... But if not, I guess I'll just wait... thanks Finch

Launchpad Janitor (janitor) said : #5

This question was expired because it remained in the 'Open' state without activity for the last 15 days.